Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.message
Enum MessagePayloadProxy.NullPayloadHandling

    java.lang.Object
      java.lang.Enum<MessagePayloadProxy.NullPayloadHandling>
          org.jboss.soa.esb.message.MessagePayloadProxy.NullPayloadHandling

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessagePayloadProxy.NullPayloadHandling>

Enclosing class:
  MessagePayloadProxy

    public static enum MessagePayloadProxy.NullPayloadHandling

extends java.lang.Enum<MessagePayloadProxy.NullPayloadHandling>

Enum Constant Summary
`EXCEPTION`
`LOG`
`NONE`
`WARN`

Method Summary
`static MessagePayloadProxy.NullPayloadHandling` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessagePayloadProxy.NullPayloadHandling[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final MessagePayloadProxy.NullPayloadHandling NONE

### LOG

    public static final MessagePayloadProxy.NullPayloadHandling LOG

### WARN

    public static final MessagePayloadProxy.NullPayloadHandling WARN

### EXCEPTION

    public static final MessagePayloadProxy.NullPayloadHandling EXCEPTION

Method Detail

### values

    public static final MessagePayloadProxy.NullPayloadHandling[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessagePayloadProxy.NullPayloadHandling c : MessagePayloadProxy.NullPayloadHandling.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessagePayloadProxy.NullPayloadHandling valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD